Skip to main content

[GET] /external/v1/deposits

Overview

Returns a paginated list of deposits for the authenticated merchant.

Authentication

Requires an API key. See Authentication.

Query Parameters

NameTypeRequiredDescription
statusInDepositStatusNoFilter by one or more deposit statuses. Use , to separate multiple status values, such as processing,completed.

This endpoint also supports pagination query parameters, including page and size. See Pagination.

Response

Returns an ApiResponse<Deposit[]>.

FieldTypeDescription
codestringResponse code. Successful responses use ok.
messagestringHuman-readable response message.
pagingobjectPagination metadata. See Pagination.
dataDeposit[]Deposits returned for the requested page.

Example Request

GET /external/v1/deposits?page=1&size=20

Example Response

{
"code": "ok",
"message": "Ok.",
"paging": {
"size": 10,
"page": 1,
"count": 1,
"limit": 10,
"totalCount": 1,
"totalPages": 1
},
"data": [
{
"id": "DE_FUGtXKc2",
"wallet": {
"id": "WT0ir6F1",
"type": "merchant_wallet"
},
"transaction": {
"type": "blockchain",
"provider": "tron",
"blockchain": {
"chainId": "3448148188",
"hash": "e6191fbb1beb1689b073567d6db0f9cce39fd096aae0dd4cdae07fa114600047",
"fromAddress": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax",
"toAddress": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5"
},
"legs": [
{
"type": "principal",
"currencyCode": "USDT",
"amount": "100.000000000000000000"
},
{
"type": "network_fee",
"currencyCode": "TRX",
"amount": "0.345000000000000000"
}
]
},
"source": {
"type": "crypto",
"rail": "tron",
"identifier": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"status": "completed",
"currencyCode": "USDT",
"amount": "100.0000000000000000",
"amountFee": "1.0000000000000000",
"amountNet": "99.0000000000000000",
"finalizedAt": "2026-05-12T03:18:31.323Z",
"createdAt": "2026-05-12T03:17:34.963Z",
"updatedAt": "2026-05-12T03:18:31.323Z"
}
]
}

Error Responses

All error responses use ErrorResponse.

HTTP StatusCodeMessageDescription
400bad_requestValidation error messageThe request failed gateway-level validation, such as an invalid statusIn value.
401unauthorizedUnauthorized.The API key is missing or invalid.
403forbiddenForbidden.The authenticated caller is not allowed to access this resource.

Example Validation Error

{
"code": "bad_request",
"message": "each value in statusIn must be one of the following values: pending, completed, failed",
"data": null
}